import java.math.BigInteger;
import java.util.*;

import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

	@Override
	public Outcome test(InStream inf, InStream ouf, InStream ans) {
		int answerJ = ans.nextInt();
		int answerP = ouf.nextInt();
		if (answerJ == answerP) {
			return new Outcome(Type.OK, "OK");
		}
		return new Outcome(Type.WA, answerJ+" expected, but "+answerP+" found.");
	}
}
